CVE-2005-0876
CVSS5.0
发布时间 :2005-05-02 00:00:00
修订时间 :2008-09-05 16:47:34
NMCOS    

[原文]Off-by-one buffer overflow in Dnsmasq before 2.21 may allow attackers to execute arbitrary code via the DHCP lease file.


[CNNVD]Dnsmasq多个远程漏洞(CNNVD-200505-736)

        Dnsmasq before 2.21中存在off-by-one缓冲区溢出,攻击者可以通过DHCP lease文件来执行任意代码。

- CVSS (基础分值)

CVSS分值: 5 [中等(MEDIUM)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: NONE [不会对系统完整性产生影响]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:dnsmasq:dnsmasq:2.14
cpe:/a:dnsmasq:dnsmasq:2.19
cpe:/a:dnsmasq:dnsmasq:2.16
cpe:/a:dnsmasq:dnsmasq:2.17
cpe:/a:dnsmasq:dnsmasq:2.18
cpe:/a:dnsmasq:dnsmasq:2.20
cpe:/a:dnsmasq:dnsmasq:2.15

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-0876
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2005-0876
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200505-736
(官方数据源) CNNVD

- 其它链接及资源

http://xforce.iss.net/xforce/xfdb/19825
(PATCH)  XF  dnsmasq-dhcp-offbyone-bo(19825)
http://www.securityfocus.com/bid/12897
(PATCH)  BID  12897
http://secunia.com/advisories/14691
(VENDOR_ADVISORY)  SECUNIA  14691
http://www.thekelleys.org.uk/dnsmasq/CHANGELOG
(UNKNOWN)  CONFIRM  http://www.thekelleys.org.uk/dnsmasq/CHANGELOG

- 漏洞信息

Dnsmasq多个远程漏洞
中危 缓冲区溢出
2005-05-02 00:00:00 2005-10-20 00:00:00
远程  
        Dnsmasq before 2.21中存在off-by-one缓冲区溢出,攻击者可以通过DHCP lease文件来执行任意代码。

- 公告与补丁

        暂无数据

- 漏洞信息

15001
Dnsmasq Lease File Reading Code Overflow
Input Manipulation
Loss of Integrity

- 漏洞描述

Unknown or Incomplete

- 时间线

2005-03-23 Unknow
Unknow Unknow

- 解决方案

Upgrade to version 2.21 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

Dnsmasq Multiple Remote Vulnerabilities
Unknown 12897
Yes No
2005-03-25 12:00:00 2009-07-12 11:56:00
The vendor disclosed these issues.

- 受影响的程序版本

Dnsmasq Dnsmasq 2.20
+ Slackware Linux 10.1
Dnsmasq Dnsmasq 2.19
Dnsmasq Dnsmasq 2.18
Dnsmasq Dnsmasq 2.17
Dnsmasq Dnsmasq 2.16
Dnsmasq Dnsmasq 2.15
+ Gentoo Linux
Dnsmasq Dnsmasq 2.14
Dnsmasq Dnsmasq 2.13
+ S.u.S.E. Linux Personal 9.3
+ S.u.S.E. Linux Personal 9.2 x86_64
+ S.u.S.E. Linux Personal 9.2
+ S.u.S.E. Linux Personal 9.1 x86_64
+ S.u.S.E. Linux Personal 9.1
+ S.u.S.E. Linux Personal 9.0 x86_64
+ S.u.S.E. Linux Personal 9.0
Dnsmasq Dnsmasq 2.12
Dnsmasq Dnsmasq 2.11
Dnsmasq Dnsmasq 2.10
Dnsmasq Dnsmasq 2.9
Dnsmasq Dnsmasq 2.8
+ Slackware Linux 10.0
Dnsmasq Dnsmasq 2.7
Dnsmasq Dnsmasq 2.6
Dnsmasq Dnsmasq 2.5
Dnsmasq Dnsmasq 2.4
Dnsmasq Dnsmasq 2.2
Dnsmasq Dnsmasq 2.1
Dnsmasq Dnsmasq 2.0
Dnsmasq Dnsmasq 2.30
Dnsmasq Dnsmasq 2.22
+ Gentoo Linux
Dnsmasq Dnsmasq 2.21
+ Gentoo Linux

- 不受影响的程序版本

Dnsmasq Dnsmasq 2.22
+ Gentoo Linux
Dnsmasq Dnsmasq 2.21
+ Gentoo Linux

- 漏洞讨论

Dnsmasq is reported prone to multiple remote vulnerabilities. These issues can allow an attacker to exploit an off-by-one overflow condition and carry out DNS cache poisoning attacks.

An attacker may leverage these issues to manipulate cache data, potentially facilitating man-in-the-middle, site impersonation, or denial of service attacks.

A denial of service condition may occur due to the off-by-one overflow vulnerability. Although unconfirmed, there is a circumstantial possibility of remote code execution in the context of the server.

Reportedly, exploitation of the cache-poisoning issue is not trivial as improvements were made to the application to mitigate cache-poisoning attacks.

The off-by-one overflow issue affects Dnsmasq 2.14, 2.15, 2.16, 2.17, 2.18, 2.19 and 2.20. The cache-poisoning issue affects Dnsmasq 2.20 and prior.

Due to a lack of details, further information is not available at the moment. This BID will be updated when more information becomes available.

- 漏洞利用

Currently we are not aware of any exploits for these issues. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com <mailto:vuldb@securityfocus.com>.

- 解决方案

The vendor has released Dnsmasq 2.21 to address these issues.

Gentoo Linux has made an advisory available dealing with this issue. Gentoo avises that all users should update their packages by executing the following commands with superuser privileges:

emerge --sync
emerge --ask --oneshot --verbose ">=net-dns/dnsmasq-2.22"

For more information please see the referenced Gentoo Linux advisory.

SuSE Linux has released an advisory (SUSE-SR:2005:011) along with updates dealing with this issue. Please see the referenced advisory for more information.

Slackware Linux has released security advisory SSA:2005-201-01 addressing this issue. Please see the referenced advisory for details on obtaining and applying the appropriate updates.


Dnsmasq Dnsmasq 2.30

Dnsmasq Dnsmasq 2.0

Dnsmasq Dnsmasq 2.1

Dnsmasq Dnsmasq 2.10

Dnsmasq Dnsmasq 2.11

Dnsmasq Dnsmasq 2.12

Dnsmasq Dnsmasq 2.13

Dnsmasq Dnsmasq 2.14

Dnsmasq Dnsmasq 2.15

Dnsmasq Dnsmasq 2.16

Dnsmasq Dnsmasq 2.17

Dnsmasq Dnsmasq 2.18

Dnsmasq Dnsmasq 2.19

Dnsmasq Dnsmasq 2.2

Dnsmasq Dnsmasq 2.20

Dnsmasq Dnsmasq 2.4

Dnsmasq Dnsmasq 2.5

Dnsmasq Dnsmasq 2.6

Dnsmasq Dnsmasq 2.7

Dnsmasq Dnsmasq 2.8

Dnsmasq Dnsmasq 2.9

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站